package dspl.intermediate.instructions;

import dspl.intermediate.Comparison;
import dspl.intermediate.variable.Variable;

/**
 * The Treewalker must first gather the instruction and its arguments when walking the tree,
 * afterward, the walker can attach the conditional list of arguments
 * 
 * @author Jeffrey Cropsey
 */
public class PartialBranchInstruction extends BranchInstruction 
{
	public PartialBranchInstruction(Comparison comp) {
		super(comp, null, null);
	}
	
	public BranchInstruction fullFromPartial(Instruction ifInst, Instruction elseInst)
	{
		return new BranchInstruction(this.comp, ifInst, elseInst);
	}
	
}
